<?php
namespace App\Factory;

use App\Exception;

class IntegrationFactory {
    private $connection;

    public function __construct (\Doctrine\DBAL\Connection $connection) {
        $this->connection = $connection;
    }
    
    public function disableIntegration() {
        $sql = "
            UPDATE INTEGRACAO
               SET IDHABINTE    = 'N'
             WHERE IDINTEGRACAO = 'NMO'
        ";
        
        $this->connection->executeQuery($sql);
    }

    public function getConfiguration() {
        $sql = "
            SELECT IDUFTIMEZONE, IDTOKENINTGERAL, IDSENHATOKENGERAL, IDHABINTE, IDRASTREIAENTREGA
              FROM INTEGRACAO
             WHERE IDINTEGRACAO = 'NMO'
        ";
        
        return $this->connection->fetchAssoc($sql);
    }
}
